<form [formGroup]="siteDetailForm" (ngSubmit)="onSubmit()">

    <div class="example-container mat-elevation-z4 regular-mat-form-field" fxLayout="column">
        <div fxLayout="row" fxLayoutGap="5px">
            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                <label fxFlex="30" class="required-label-color">Site Name</label>
                <mat-form-field fxFlex="70" appearance="outline">

                    <input matInput type="text" [(ngModel)]="raSiteDemographicData.name" class="txtuppercase"
                        formControlName="siteNameCtrl" />
                </mat-form-field>
            </div>
        </div>

        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                <label fxFlex="30" class="required-label-color">Site Address</label>
                <mat-form-field fxFlex="70" appearance="outline">
                    <textarea matInput maxlength="200" [(ngModel)]="raSiteDemographicData.address" class="txtuppercase"
                        formControlName="addressCtrl" cdkTextareaAutosize cdkAutosizeMinRows="2" cdkAutosizeMaxRows="4"></textarea>
                </mat-form-field>

            </div>

            <div fxFlex="15" fxLayoutGap="5px" fxLayoutAlign="left center">
                <label fxFlex="30" class="required-label-color">City</label>
                <mat-form-field fxFlex="70" appearance="outline">
                    <input matInput type="text" [(ngModel)]="raSiteDemographicData.city" class="txtuppercase"
                        alphabetSpace formControlName="cityCtrl" maxlength="50" />
                </mat-form-field>
            </div>
            <div fxFlex="15" fxLayoutGap="5px" fxLayoutAlign="left center">
                <label fxFlex="30" class="required-label-color">State</label>
                <mat-form-field fxFlex="70" appearance="outline">
                    <input matInput type="text" [(ngModel)]="raSiteDemographicData.state" class="txtuppercase"
                    alphabetOnly  formControlName="stateCtrl" maxlength="2" />
                </mat-form-field>
            </div>
            <div fxFlex="15" fxLayoutGap="5px" fxLayoutAlign="left center">
                <label fxFlex="30" class="required-label-color">Zip</label>
                <mat-form-field fxFlex="70" appearance="outline">
                    <input matInput digitOnly [(ngModel)]="raSiteDemographicData.zip" formControlName="zipCtrl"
                        maxlength="5" />
                </mat-form-field>
            </div>
            <div fxFlex="10" fxLayoutGap="5px" fxLayoutAlign="left center">
                <label>&nbsp;</label>

            </div>
        </div>
        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                <label fxFlex="30" class="required-label-color">Borough &nbsp; &nbsp;
                </label>
                <mat-form-field fxFlex="70" appearance="outline">
                    <mat-select formControlName="siteBoroughTypeCtrl" [(ngModel)]="raSiteDemographicData.boroughType"
                        placeholder="Select">
                        <mat-option *ngFor="let siteBorough of boroughTypes" [value]="siteBorough.refGroupDetailID">
                            {{siteBorough.refGroupDetailDescription}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
        </div>

        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
            <div fxFlex="30" fxLayoutAlign="left center">

                <label fxFlex="30" class="required-label-color">Site Type &nbsp;&nbsp;
                </label>
                <mat-form-field fxFlex="70" appearance="outline">
                    <mat-select formControlName="siteTypeCtrl" [(ngModel)]="raSiteDemographicData.housingProgram"
                        placeholder="Select">
                        <mat-option *ngFor="let agencyType of agencyTypes" [value]="agencyType.siteTypeCode">
                            {{agencyType.typeDescription}}
                        </mat-option>
                    </mat-select>

                </mat-form-field>
            </div>

        </div>
        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
            <div fxFlex="50" fxLayoutGap="5px" fxLayoutAlign="left center">

                <mat-label fxFlex="40" class="required-label-color">Is CAPS mandatory
                    for this site &nbsp; &nbsp; </mat-label>
                <mat-radio-group appearance="outline" fxFlex="60" fxLayoutGap="10px" [(ngModel)]="raSiteDemographicData.isCapsMandate"
                    formControlName="isCapsMandateRadioCtrl">
                    <mat-radio-button (click)="isCapsMandateSelection(true)" [value]="true">
                        Yes </mat-radio-button>
                    <mat-radio-button (click)="isCapsMandateSelection(false)" [value]="false">
                        No </mat-radio-button>
                </mat-radio-group>
            </div>
        </div>
        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
            <div fxFlex="50" fxLayoutGap="5px" fxLayoutAlign="left center">
                <mat-label fxFlex="40" class="required-label-color">Is this Site Active ?&nbsp; &nbsp; </mat-label>

                <mat-radio-group fxFlex="60" fxLayoutGap="10px" [(ngModel)]="raSiteDemographicData.isActive"
                    formControlName="isActiveRadioCtrl">
                    <mat-radio-button (click)="isActiveSelection(true)" [value]="true"> Yes </mat-radio-button>
                    <mat-radio-button (click)="isActiveSelection(false)" [value]="false" class="mat-radio-button-option-no">
                        No </mat-radio-button>
                </mat-radio-group>
            </div>
        </div>

    </div>
</form>